Upstream information

CVE-2010-4259 at MITRE

Description

Stack-based buffer overflow in FontForge 20100501 allows remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a long CHARSET_REGISTRY header in a BDF font file.

SUSE information

Overall state of this security issue: Ignore

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial

Note from the SUSE Security Team

The overflow is caught by the -fstack-protector protection mechanism and only leads to a controlled abort of the fontforge tool. As this is a developer tool and included in the SDK on SLE, we are not releasing updates for it.,The overflow is caught by the -fstack-protector protection mechanism and only leads to a controlled abort of the fontforge tool. As this is a developer tool and included in the SDK on SUSE Linux Enterprise, we are not releasing updates for it.

SUSE Bugzilla entry: 657353 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.